#include <iostream>
#include <iomanip>
#include <complex>
#include <cmath>
#include <limits>

using namespace std;

int main()
{
  complex<double> z, i{0.0, 1.0};

  cout << "(Re,Im): ";
  cin >> z;

  cout << fixed << setprecision(numeric_limits<double>::digits10);
  cout << "sqrt(z)     = " << sqrt(z)       << endl
       << "sqrt(1.0+i) = " << sqrt(1.0 + i) << endl;

  return 0;
}
